summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-747261-arch-specific-conflicts
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2015-10-09 23:03:43 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2015-11-04 18:04:00 +0100
commita947590adaf68b1f08a7fca6b5a03f278a485739 (patch)
tree3737de5153008f4b131a1b3a247fb5fa6f63fc35 /test/integration/test-bug-747261-arch-specific-conflicts
parent0940230dd6710ff5b555bed8be3d75ae0d150a08 (diff)
tests: change test-skipping detection for arch-specific pkgs
dpkg-checkbuilddeps changed its exitcodes in the recent past so the old check always fails now skipping the test. Lets try a slightly more stable (at least assume it to be) variant of detecting this. See also 4f6d26b4d41474aa390329b7e9cb167eb70b2821. Git-Dch: Ignore
Diffstat (limited to 'test/integration/test-bug-747261-arch-specific-conflicts')
-rwxr-xr-xtest/integration/test-bug-747261-arch-specific-conflicts11
1 files changed, 3 insertions, 8 deletions
diff --git a/test/integration/test-bug-747261-arch-specific-conflicts b/test/integration/test-bug-747261-arch-specific-conflicts
index be971b89e..08e66a7cd 100755
--- a/test/integration/test-bug-747261-arch-specific-conflicts
+++ b/test/integration/test-bug-747261-arch-specific-conflicts
@@ -6,15 +6,10 @@ TESTDIR=$(readlink -f $(dirname $0))
setupenvironment
configarchitecture 'amd64' 'sparc' 'armel'
+insertinstalledpackage 'foobar' 'armel' '1'
msgtest 'Check that dpkg supports' 'arch-specific dependencies'
-set +e
-# this fails always, the question is just how it fails
-dpkg-checkbuilddeps -d 'foobar:barfoo' /dev/null 2>/dev/null >/dev/null
-RETURNCODE=$?
-set -e
-if [ "$RETURNCODE" != '1' ]; then
- dpkg-checkbuilddeps -d 'foobar:barfoo' /dev/null || true
- echo "Command had returncode: $RETURNCODE"
+if ! dpkgcheckbuilddeps -d 'foobar:armel' /dev/null 2>/dev/null >/dev/null; then
+ dpkgcheckbuilddeps -d 'foobar:armel' /dev/null || true
msgskip
exit 0
else